Bug 579146 - Does not respect GTK settings
Summary: Does not respect GTK settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwbackups
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stewart Adam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-02 21:27 UTC by Michael Monreal
Modified: 2010-07-23 02:34 UTC (History)
1 user (show)

Fixed In Version: fwbackups-1.43.3-0.9.rc5.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-23 02:34:32 UTC


Attachments (Terms of Use)
Screenshot (65.24 KB, image/png)
2010-04-02 21:27 UTC, Michael Monreal
no flags Details

Description Michael Monreal 2010-04-02 21:27:09 UTC
Created attachment 404239 [details]
Screenshot

fwbackups should respect the GTK settings for

a) toolbars (no text, text blow, text beside, text only)
b) icons on buttons (or no icons on buttons, which is the default in GNOME 2.28 and up)

Right now fwbackups always shows text below toolbar icons and also always shows button icons.

Comment 1 Stewart Adam 2010-04-18 21:28:06 UTC
This one is a bit tricky since technically, the toolbar is not a toolbar of buttons but a toolbar of toggle buttons... I'll do some testing to see how they behave with different themes.

Comment 2 Stewart Adam 2010-05-01 20:33:48 UTC
Found the problem. Looks like the glade 2 builder always writes a toolbar style value whenever saving a project, and it overrides the user-preferred value. I've added a small bit of code that retrieves the user-preferred value and then set the toolbar style accordingly.

Comment 3 Fedora Update System 2010-07-02 00:35:47 UTC
fwbackups-1.43.3-0.9.rc5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc13

Comment 4 Fedora Update System 2010-07-02 06:00:19 UTC
fwbackups-1.43.3-0.9.rc5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc12

Comment 5 Fedora Update System 2010-07-05 22:07:18 UTC
fwbackups-1.43.3-0.9.rc5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fwbackups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc13

Comment 6 Fedora Update System 2010-07-23 02:27:41 UTC
fwbackups-1.43.3-0.9.rc5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-07-23 02:33:57 UTC
fwbackups-1.43.3-0.9.rc5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.